Fehlendes GStreamer Plugin

Diese Seite verwendet Cookies. Durch die Nutzung unserer Seite erklären Sie sich damit einverstanden, dass wir Cookies setzen. Weitere Informationen

Hinweis: In dem Thema Fehlendes GStreamer Plugin gibt es 14 Antworten auf 2 Seiten. Der letzte Beitrag () befindet sich auf der letzten Seite.
  • Fehlendes GStreamer Plugin

    Servus,

    Ich verwende nun schon seit einiger Zeit openSUSE und kenne mich inzwischen schon besser aus als anfangs, bin aber nun auf ein scheinbar für mich unlösbares Problem gestoßen und möchte mich daher nun an erfahrenere Linux-User wenden.

    openSUSE Leap 42.3
    KDE Plasma 5.8.7
    Clementine 1.3.1

    Zu meinem Problem:
    Ich hatte längere Zeit TW auf meinem Surface Pro 3 laufen und war überaus zufrieden damit. Meine Musik Sammlung ist recht umfangreich und aus Zeiten in denen ich noch Windows und iTunes verwendete sind einige .m4a-Dateien übrig.
    Unter Linux fand ich nun in Clementine den Musik-Player den ich suchte und lange Zeit gab es keinerlei Probleme. Nach einem Systemupdate kam allerdings plötzlich die Fehlermeldung "Ihrer Installation von GStreamer fehlt ein Plugin." wenn ich versuchte .m4a Dateien abzuspielen. Ich ignorierte es, da ich zu der Zeit bereits auf meinen Desktop-PC wartete.
    Nun ist dieser eingerichtet und ich installierte ohne Probleme Leap 42.3 und konfigurierte alles nach meinen Vorstellungen. Ich fügte auch das Packman-Repository hinzu, wies Priorität 20 zu und installierte die gstreamer- sowie mp3-plugins aus eben jenem.
    Dennoch gibt Clementine beim Abspielen von .m4a Dateien die selbe Fehlermeldung aus wie zuvor unter TW. Im VLC Media Player lassen sich eben jene Dateien allerdings problemlos abspielen.
    Ich habe bereits zahlreiche deutsch- wie auch englischsprachige Foren durchforstet aber keine der Lösungen funktionierte für mich. Ich habe die gstreamer-base-, -good-, -ugly-, -bad- sowie -ffmpeg-plugins als auch die fluendo-mp3 plugins installiert, die Cache-Dateien unter ~/.cache/Clementine und ~/.cache/gstreamer-1.0 gelöscht sowie die Clementine neu installiert, aber es half bisher nichts.
    Nun dachte ich mir, dass ich auch die betroffenen .m4a-Dateien konvertieren könnte und installierte den GNOME Sound Converter doch nun meldet dieser "MP3 Encoder is not present." und verweist erneut auf ein fehlendes gstreamer-plugin welches ich allerdings bereits installiert habe. Nun weiß ich nicht mehr weiter und möchte euch deshalb um eure Hilfe bitten.

    Vielen Dank im Voraus,
    Matthias

    Für den Inhalt des Beitrages 112222 haftet ausdrücklich der jeweilige Autor: openminded

  • Danke für die Rückmeldung. Habe es installiert und für eine der .m4a-Dateien folgende Infos erhalten:

    Unter "General":
    Format: MPEG-4
    Format profile: Apple audio with iTunes info
    Codec ID: M4A (M4A/mp42/isom)

    Unter "Audio":
    Format: AAC
    Format/Info: Advanced Audio Codec
    Format profile: LC
    Codec ID: 40

    Für den Inhalt des Beitrages 112228 haftet ausdrücklich der jeweilige Autor: openminded

  • Brainfuck-Quellcode

    1. Metadaten von Repository 'Packman Repository' abrufen .................[done]
    2. Building repository 'Packman Repository' cache ........................[done]
    3. Repository-Daten werden geladen...
    4. Installierte Pakete werden gelesen...
    5. S | Name | Type | Version | Arch | Repository
    6. ---+----------------------------------------+-----------+---------------------+--------+---------------------------
    7. i+ | GStreamer Multimedia Codecs | Anwendung | | noarch | (Systempakete)
    8. i | PackageKit-gstreamer-plugin | Paket | 1.1.3-4.4 | x86_64 | openSUSE-Leap-42.3-Oss
    9. i | gstreamer | Paket | 1.8.3-4.13 | x86_64 | openSUSE-Leap-42.3-Oss
    10. i+ | gstreamer-0_10 | Paket | 0.10.36-18.4 | x86_64 | openSUSE-Leap-42.3-Oss
    11. i+ | gstreamer-0_10-fluendo-mp3 | Paket | 21-2.9 | x86_64 | openSUSE-Leap-42.3-Non-Oss
    12. i | gstreamer-0_10-lang | Paket | 0.10.36-18.4 | noarch | openSUSE-Leap-42.3-Oss
    13. i | gstreamer-0_10-plugin-esd | Paket | 0.10.31-20.9 | x86_64 | openSUSE-Leap-42.3-Oss
    14. i+ | gstreamer-0_10-plugins-bad | Paket | 0.10.23-29.15.19 | x86_64 | Packman Repository
    15. i+ | gstreamer-0_10-plugins-bad-lang | Paket | 0.10.23-29.15.19 | noarch | Packman Repository
    16. i | gstreamer-0_10-plugins-base | Paket | 0.10.36-17.1 | x86_64 | openSUSE-Leap-42.3-Oss
    17. i | gstreamer-0_10-plugins-base-lang | Paket | 0.10.36-17.1 | noarch | openSUSE-Leap-42.3-Oss
    18. i+ | gstreamer-0_10-plugins-ffmpeg | Paket | 0.10.13_p201211-3.2 | x86_64 | Packman Repository
    19. i+ | gstreamer-0_10-plugins-good | Paket | 0.10.31-20.9 | x86_64 | openSUSE-Leap-42.3-Oss
    20. i | gstreamer-0_10-plugins-good-lang | Paket | 0.10.31-20.9 | noarch | openSUSE-Leap-42.3-Oss
    21. i+ | gstreamer-0_10-plugins-ugly | Paket | 0.10.19-20.1 | x86_64 | (Systempakete)
    22. i | gstreamer-0_10-plugins-ugly-lang | Paket | 0.10.19-19.3 | noarch | openSUSE-Leap-42.3-Oss
    23. i+ | gstreamer-0_10-plugins-ugly-orig-addon | Paket | 0.10.19-20.1 | x86_64 | (Systempakete)
    24. i+ | gstreamer-0_10-utils | Paket | 0.10.36-18.4 | x86_64 | openSUSE-Leap-42.3-Oss
    25. i | gstreamer-fluendo-mp3 | Paket | 21-2.9 | x86_64 | openSUSE-Leap-42.3-Non-Oss
    26. i | gstreamer-lang | Paket | 1.8.3-4.13 | noarch | openSUSE-Leap-42.3-Oss
    27. i | gstreamer-libnice | Paket | 0.1.13-6.3 | x86_64 | openSUSE-Leap-42.3-Oss
    28. i+ | gstreamer-plugins-bad | Paket | 1.8.3-8.5 | x86_64 | Packman Repository
    29. i+ | gstreamer-plugins-bad-lang | Paket | 1.8.3-8.5 | noarch | Packman Repository
    30. i | gstreamer-plugins-base | Paket | 1.8.3-7.16 | x86_64 | openSUSE-Leap-42.3-Oss
    31. i | gstreamer-plugins-base-lang | Paket | 1.8.3-7.16 | noarch | openSUSE-Leap-42.3-Oss
    32. i | gstreamer-plugins-farstream | Paket | 0.2.8-3.4 | x86_64 | openSUSE-Leap-42.3-Oss
    33. i | gstreamer-plugins-good | Paket | 1.8.3-8.1 | x86_64 | openSUSE-Leap-42.3-Oss
    34. i | gstreamer-plugins-good-lang | Paket | 1.8.3-8.1 | noarch | openSUSE-Leap-42.3-Oss
    35. i+ | gstreamer-plugins-libav | Paket | 1.8.3-3.4 | x86_64 | Packman Repository
    36. i+ | gstreamer-plugins-qt | Paket | 1.2.0-7.1 | x86_64 | openSUSE-Leap-42.3-Oss
    37. i+ | gstreamer-plugins-qt5 | Paket | 1.2.0-8.2 | x86_64 | openSUSE-Leap-42.3-Oss
    38. i+ | gstreamer-plugins-ugly | Paket | 1.8.3-6.1 | x86_64 | Packman Repository
    39. i+ | gstreamer-utils | Paket | 1.8.3-4.13 | x86_64 | openSUSE-Leap-42.3-Oss
    40. i | libgstreamer-0_10-0 | Paket | 0.10.36-18.4 | x86_64 | openSUSE-Leap-42.3-Oss
    41. i | libgstreamer-1_0-0 | Paket | 1.8.3-4.13 | x86_64 | openSUSE-Leap-42.3-Oss
    42. i | phonon-backend-gstreamer | Paket | 4.8.2-6.2 | x86_64 | openSUSE-Leap-42.3-Oss
    43. i | phonon4qt5-backend-gstreamer | Paket | 4.9.0-3.2 | x86_64 | openSUSE-Leap-42.3-Oss
    44. i+ | vlc-codec-gstreamer | Paket | 2.2.6-4.1 | x86_64 | Packman Repository
    Alles anzeigen

    Brainfuck-Quellcode

    1. Repository-Prioritäten treten in Kraft: (Siehe 'zypper lr -P' für Details)
    2. 20 (erhöhte Priorität) : 1 Repository
    3. 99 (Standard-Priorität) : 4 Repositorys
    4. # | Alias | Name | Enabled | GPG-Überprüfung | Refresh | Priorität | Type | URI | Dienst
    5. ---+---------------------------+-----------------------------------------+---------+-----------------+---------+-----------+--------+--------------------------------------------------------------------------+-------
    6. 1 | openSUSE-Leap-42.3-0 | openSUSE-Leap-42.3-0 | No | ---- | ---- | 99 | yast2 | hd:///?device=/dev/disk/by-id/usb-058f_6387_4E3592CF-0:0-part2 |
    7. 2 | packman.inode.at-suse | Packman Repository | Yes | (r ) Yes | Yes | 20 | rpm-md | http://packman.inode.at/suse/openSUSE_Leap_42.3/ |
    8. 3 | repo-debug | openSUSE-Leap-42.3-Debug | No | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/distribution/leap/42.3/repo/oss/ |
    9. 4 | repo-debug-non-oss | openSUSE-Leap-42.3-Debug-Non-Oss | No | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/distribution/leap/42.3/repo/non-oss/ |
    10. 5 | repo-debug-update | openSUSE-Leap-42.3-Update-Debug | No | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/update/leap/42.3/oss/ |
    11. 6 | repo-debug-update-non-oss | openSUSE-Leap-42.3-Update-Debug-Non-Oss | No | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/update/leap/42.3/non-oss/ |
    12. 7 | repo-non-oss | openSUSE-Leap-42.3-Non-Oss | Yes | (r ) Yes | Yes | 99 | yast2 | http://download.opensuse.org/distribution/leap/42.3/repo/non-oss/ |
    13. 8 | repo-oss | openSUSE-Leap-42.3-Oss | Yes | (r ) Yes | Yes | 99 | yast2 | http://download.opensuse.org/distribution/leap/42.3/repo/oss/ |
    14. 9 | repo-source | openSUSE-Leap-42.3-Source | No | ---- | ---- | 99 | NONE | http://download.opensuse.org/source/distribution/leap/42.3/repo/oss/ |
    15. 10 | repo-source-non-oss | openSUSE-Leap-42.3-Source-Non-Oss | No | ---- | ---- | 99 | NONE | http://download.opensuse.org/source/distribution/leap/42.3/repo/non-oss/ |
    16. 11 | repo-update | openSUSE-Leap-42.3-Update | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/update/leap/42.3/oss/ |
    17. 12 | repo-update-non-oss | openSUSE-Leap-42.3-Update-Non-Oss | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/update/leap/42.3/non-oss/ |
    Alles anzeigen

    Für den Inhalt des Beitrages 112230 haftet ausdrücklich der jeweilige Autor: openminded

  • Stelle das Packman Repo auf eine höhere Prioriät (also niedrigere Nummer), und mache dann als root ein
    zypper clean -a && zypper dup
    Sokrates sagte, dass er nichts wisse.
    Ich bin viel, viel klüger als Sokrates.
    Ich weiß ganz genau, dass ich gar nichts weiß.

    Für den Inhalt des Beitrages 112233 haftet ausdrücklich der jeweilige Autor: Berichtigung

  • Danke auch dir für deine Rückmeldung.
    Habe die Priorität auf 10 gesetzt und das Distro-Upgrade ausgeführt, aber obwohl bei einigen gstreamer-plugins ein Repository-Wechsel stattgefunden hat besteht das Problem immer noch.

    Für den Inhalt des Beitrages 112234 haftet ausdrücklich der jeweilige Autor: openminded

  • Ich habe nun auch noch folgendes installiert:

    Quellcode

    1. zypper in gstreamer-plugins-ugly-orig-addon

    Nun funktioniert auch die Konvertierung von diversen Dateiformaten in .mp3 mittels GNOME Sound Converter.

    Für den Inhalt des Beitrages 112237 haftet ausdrücklich der jeweilige Autor: openminded